Bug 76009 - compile crash with g++ when making waimea 0.2.0
compile crash with g++ when making waimea 0.2.0
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: gcc (Show other bugs)
7.3
athlon Linux
medium Severity high
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-15 15:00 EDT by Mark Mykkanen
Modified: 2007-04-18 12:47 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-01 16:25:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark Mykkanen 2002-10-15 15:00:11 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (Windows NT 5.0; U)

Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:
Didn't try

Steps to Reproduce:
1. Unpack waimea 0.2.0
2. Run configure
3. Run make
	

Actual Results:  [root@shamu waimea-0.2.0]# ./configure 
checking for a BSD compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
checking whether make sets ${MAKE}... yes
checking for working aclocal... found
checking for working autoconf... found
checking for working automake... found
checking for working autoheader... found
checking for working makeinfo... found
checking for g++... g++
checking for C++ compiler default output... a.out
checking whether the C++ compiler works... yes
checking whether we are cross compiling... no
checking for executable suffix... 
checking for object suffix... o
checking whether we are using the GNU C++ compiler... yes
checking whether g++ accepts -g... yes
checking for a BSD compatible install... /usr/bin/install -c
checking for gcc... gcc
checking whether we are using the GNU C compiler... yes
checking whether gcc accepts -g... yes
checking how to run the C preprocessor... gcc -E
checking for X... libraries /usr/X11R6/lib, headers /usr/X11R6/include
checking for dnet_ntoa in -ldnet... no
checking for dnet_ntoa in -ldnet_stub... no
checking for gethostbyname... yes
checking for connect... yes
checking for remove... yes
checking for shmat... yes
checking for IceConnectionNumber in -lICE... yes
checking how to run the C++ preprocessor... g++ -E
checking for hash_map.h... yes
checking for hash_set.h... yes
checking for list.h... yes
checking for sed... sed
checking for XOpenDisplay in -lX11... yes
checking whether to build support for the XShape extension... yes
checking for XShapeCombineShape in -lXext... yes
checking for X11/extensions/shape.h... yes
checking whether to build support for the Xft extension... yes
checking for freetype-config... /usr/bin/freetype-config
checking for freetype/freetype.h... yes
checking for XRenderFindFormat in -lXrender... yes
checking for XftFontOpen in -lXft... yes
checking for X11/Xft/Xft.h... yes
checking whether to include interlacing image code... yes
checking whether to include Pseudocolor ordered dithering code... no
configure: creating ./config.status
config.status: creating Makefile
config.status: creating src/Makefile
config.status: creating data/Makefile
config.status: creating data/actions/Makefile
config.status: creating data/styles/Makefile
config.status: creating data/backgrounds/Makefile
config.status: creating doc/Makefile
[root@shamu waimea-0.2.0]# make
Making all in data
make[1]: Entering directory `/root/waimea-0.2.0/data'
Making all in actions
make[2]: Entering directory `/root/waimea-0.2.0/data/actions'
make[2]: Nothing to be done for `all'.
make[2]: Leaving directory `/root/waimea-0.2.0/data/actions'
Making all in styles
make[2]: Entering directory `/root/waimea-0.2.0/data/styles'
sed -e "s,@pkgdatadir@,/usr/local/share/Waimea," Default.in > Default
make[2]: Leaving directory `/root/waimea-0.2.0/data/styles'
Making all in backgrounds
make[2]: Entering directory `/root/waimea-0.2.0/data/backgrounds'
make[2]: Nothing to be done for `all'.
make[2]: Leaving directory `/root/waimea-0.2.0/data/backgrounds'
make[2]: Entering directory `/root/waimea-0.2.0/data'
sed -e "s,@pkgdatadir@,/usr/local/share/Waimea," waimearc.example.in > waimearc.example
make[2]: Leaving directory `/root/waimea-0.2.0/data'
make[1]: Leaving directory `/root/waimea-0.2.0/data'
Making all in doc
make[1]: Entering directory `/root/waimea-0.2.0/doc'
sed -e "s,@pkgdatadir@,/usr/local/share/Waimea," waimea.1.in > waimea.1
make[1]: Leaving directory `/root/waimea-0.2.0/doc'
Making all in src
make[1]: Entering directory `/root/waimea-0.2.0/src'
g++ -DPACKAGE=\"Waimea\" -DVERSION=\"0.2.0\"  -I. -I.    -I/usr/include/freetype2 -DSHAPE -DXFT -DINTERLACE  
-DDEFAULTSTYLE=\"/usr/local/share/Waimea/styles/Default\" -DDEFAULTMENU=\"/usr/local/share/Waimea/menu\" 
-DDEFAULTACTION=\"/usr/local/share/Waimea/actions/action\"  -g -O2  -I/usr/X11R6/include -c main.cc
g++ -DPACKAGE=\"Waimea\" -DVERSION=\"0.2.0\"  -I. -I.    -I/usr/include/freetype2 -DSHAPE -DXFT -DINTERLACE  
-DDEFAULTSTYLE=\"/usr/local/share/Waimea/styles/Default\" -DDEFAULTMENU=\"/usr/local/share/Waimea/menu\" 
-DDEFAULTACTION=\"/usr/local/share/Waimea/actions/action\"  -g -O2  -I/usr/X11R6/include -c Waimea.cc
g++ -DPACKAGE=\"Waimea\" -DVERSION=\"0.2.0\"  -I. -I.    -I/usr/include/freetype2 -DSHAPE -DXFT -DINTERLACE  
-DDEFAULTSTYLE=\"/usr/local/share/Waimea/styles/Default\" -DDEFAULTMENU=\"/usr/local/share/Waimea/menu\" 
-DDEFAULTACTION=\"/usr/local/share/Waimea/actions/action\"  -g -O2  -I/usr/X11R6/include -c WaScreen.cc
g++ -DPACKAGE=\"Waimea\" -DVERSION=\"0.2.0\"  -I. -I.    -I/usr/include/freetype2 -DSHAPE -DXFT -DINTERLACE  
-DDEFAULTSTYLE=\"/usr/local/share/Waimea/styles/Default\" -DDEFAULTMENU=\"/usr/local/share/Waimea/menu\" 
-DDEFAULTACTION=\"/usr/local/share/Waimea/actions/action\"  -g -O2  -I/usr/X11R6/include -c WaWindow.cc
g++ -DPACKAGE=\"Waimea\" -DVERSION=\"0.2.0\"  -I. -I.    -I/usr/include/freetype2 -DSHAPE -DXFT -DINTERLACE  
-DDEFAULTSTYLE=\"/usr/local/share/Waimea/styles/Default\" -DDEFAULTMENU=\"/usr/local/share/Waimea/menu\" 
-DDEFAULTACTION=\"/usr/local/share/Waimea/actions/action\"  -g -O2  -I/usr/X11R6/include -c ResourceHandler.cc
g++ -DPACKAGE=\"Waimea\" -DVERSION=\"0.2.0\"  -I. -I.    -I/usr/include/freetype2 -DSHAPE -DXFT -DINTERLACE  
-DDEFAULTSTYLE=\"/usr/local/share/Waimea/styles/Default\" -DDEFAULTMENU=\"/usr/local/share/Waimea/menu\" 
-DDEFAULTACTION=\"/usr/local/share/Waimea/actions/action\"  -g -O2  -I/usr/X11R6/include -c EventHandler.cc
g++ -DPACKAGE=\"Waimea\" -DVERSION=\"0.2.0\"  -I. -I.    -I/usr/include/freetype2 -DSHAPE -DXFT -DINTERLACE  
-DDEFAULTSTYLE=\"/usr/local/share/Waimea/styles/Default\" -DDEFAULTMENU=\"/usr/local/share/Waimea/menu\" 
-DDEFAULTACTION=\"/usr/local/share/Waimea/actions/action\"  -g -O2  -I/usr/X11R6/include -c WaImage.cc
g++: Internal error: Segmentation fault (program cc1plus)
Please submit a full bug report.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.


Expected Results:  Nothing.

Additional info:
Comment 1 Vladimir Makarov 2004-10-01 16:25:06 EDT
gcc-2.96 is too old now.  Its release cycle was finished long ago. 
Therefore we are closing the bug.  If it is still important, the
customer could reopen the case.


Note You need to log in before you can comment on or make changes to this bug.